/*
 * This software is the confidential and proprietary information of
 * Smardec. You shall not disclose or distribute such Confidential Information.
 * This software shall not be integrated, copied (partially or fully),
 * or reverse engineered into any other software, program, or code that is
 * not intended for Smardec. You shall use it only in accordance with the terms
 * of the license agreement you entered into with Smardec.
 *
 * Copyright (C) 2004-2006 Smardec. All rights reserved.
 *
 * http://www.smardec.com
 *
 */

package com.smardec.demo.j2native.linux.usermanager.j2n;

import com.smardec.j2native.*;

public class Passwd extends Structure {
    private AnsiString pw_name;   /* user name */
    private AnsiString pw_passwd; /* user password */
    private UInt32 pw_uid;        /* user id */
    private UInt32 pw_gid;        /* group id */
    private AnsiString pw_gecos;  /* real name */
    private AnsiString pw_dir;    /* home directory */
    private AnsiString pw_shell;  /* shell program */

    public Passwd() {
        pw_name = new AnsiString();
        pw_passwd = new AnsiString();
        pw_uid = new UInt32();
        pw_gid = new UInt32();
        pw_gecos = new AnsiString();
        pw_dir = new AnsiString();
        pw_shell = new AnsiString();
        initialize(new Argument[]{new Pointer(pw_name), new Pointer(pw_passwd), pw_uid, pw_gid,
                new Pointer(pw_gecos), new Pointer(pw_dir), new Pointer(pw_shell)});
    }

    public AnsiString pw_dir() {
        return pw_dir;
    }

    public AnsiString pw_gecos() {
        return pw_gecos;
    }

    public UInt32 pw_gid() {
        return pw_gid;
    }

    public AnsiString pw_name() {
        return pw_name;
    }

    public AnsiString pw_passwd() {
        return pw_passwd;
    }

    public AnsiString pw_shell() {
        return pw_shell;
    }

    public UInt32 pw_uid() {
        return pw_uid;
    }
}